org.springframework.cache.support

## Class SimpleValueWrapper

- java.lang.Object
- - org.springframework.cache.support.SimpleValueWrapper

All Implemented Interfaces:
  Cache.ValueWrapper

    public class SimpleValueWrapper
    extends Object
    implements Cache.ValueWrapper

Straightforward implementation of `Cache.ValueWrapper`, simply holding the value as given at construction and returning it from `get()`.

Since:
  3.1
Author:
  Costin Leau

### Constructor Summary

Constructors
Constructor and Description
`SimpleValueWrapper(Object value)` Create a new SimpleValueWrapper instance for exposing the given value.

### Method Summary

Methods
`Object` `get()` Simply returns the value as given at construction time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleValueWrapper

    public SimpleValueWrapper(Object value)

Create a new SimpleValueWrapper instance for exposing the given value.

Parameters:
  `value` - the value to expose (may be `null`)

### Method Detail

#### get

    public Object get()

Simply returns the value as given at construction time.

Specified by:
  `get` in interface `Cache.ValueWrapper`